

# ListAccessTokens
<a name="API_route53globalresolver_ListAccessTokens"></a>

Lists all access tokens for a DNS view with pagination support.

**Important**  
Route 53 Global Resolver is a global service that supports resolvers in multiple Amazon Web Services Regions but you must specify the US East (Ohio) Region to create, update, or otherwise work with Route 53 Global Resolver resources. That is, for example, specify `--region us-east-2` on Amazon CLI commands.

## Request Syntax
<a name="API_route53globalresolver_ListAccessTokens_RequestSyntax"></a>

```
GET /tokens/dns-view/{{dnsViewId}}?{{filters}}&max_results={{maxResults}}&next_token={{nextToken}} HTTP/1.1
```

## URI Request Parameters
<a name="API_route53globalresolver_ListAccessTokens_RequestParameters"></a>

The request uses the following URI parameters.

 ** [dnsViewId](#API_route53globalresolver_ListAccessTokens_RequestSyntax) **   <a name="Route53GlobalResolver-route53globalresolver_ListAccessTokens-request-uri-dnsViewId"></a>
The ID of the DNS view to list the tokens for.  
Length Constraints: Minimum length of 1. Maximum length of 64.  
Pattern: `[-.a-zA-Z0-9]+`   
Required: Yes

 ** [filters](#API_route53globalresolver_ListAccessTokens_RequestSyntax) **   <a name="Route53GlobalResolver-route53globalresolver_ListAccessTokens-request-uri-filters"></a>
Filtering parameters.

 ** [maxResults](#API_route53globalresolver_ListAccessTokens_RequestSyntax) **   <a name="Route53GlobalResolver-route53globalresolver_ListAccessTokens-request-uri-maxResults"></a>
The maximum number of results to retrieve in a single call.

 ** [nextToken](#API_route53globalresolver_ListAccessTokens_RequestSyntax) **   <a name="Route53GlobalResolver-route53globalresolver_ListAccessTokens-request-uri-nextToken"></a>
A pagination token used for large sets of results that can't be returned in a single response.

## Request Body
<a name="API_route53globalresolver_ListAccessTokens_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_route53globalresolver_ListAccessTokens_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "accessTokens": [ 
      { 
         "arn": "string",
         "createdAt": "string",
         "dnsViewId": "string",
         "expiresAt": "string",
         "globalResolverId": "string",
         "id": "string",
         "name": "string",
         "status": "string",
         "updatedAt": "string"
      }
   ],
   "nextToken": "string"
}
```

## Response Elements
<a name="API_route53globalresolver_ListAccessTokens_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [accessTokens](#API_route53globalresolver_ListAccessTokens_ResponseSyntax) **   <a name="Route53GlobalResolver-route53globalresolver_ListAccessTokens-response-accessTokens"></a>
List of the tokens.  
Type: Array of [AccessTokenItem](API_route53globalresolver_AccessTokenItem.md) objects

 ** [nextToken](#API_route53globalresolver_ListAccessTokens_ResponseSyntax) **   <a name="Route53GlobalResolver-route53globalresolver_ListAccessTokens-response-nextToken"></a>
A pagination token used for large sets of results that can't be returned in a single response. Provide this token in the next call to get the results not returned in this call.  
Type: String

## Errors
<a name="API_route53globalresolver_ListAccessTokens_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You don't have permission to perform this operation. Check your IAM permissions and try again.  
HTTP Status Code: 403

 ** InternalServerException **   
An internal server error occurred. Try again later.    
 ** retryAfterSeconds **   
Number of seconds in which the caller can retry the request.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource was not found. Verify the resource ID and try again.    
 ** resourceId **   
The unique ID of the resource referenced in the failed request.  
 ** resourceType **   
The resource type of the resource referenced in the failed request.
HTTP Status Code: 404

 ** ThrottlingException **   
The request was throttled due to too many requests. Wait a moment and try again.    
 ** quotaCode **   
The quota code recognized by the Amazon Service Quotas service.  
 ** retryAfterSeconds **   
Number of seconds in which the caller can retry the request.  
 ** serviceCode **   
The code for the Amazon service that owns the quota.
HTTP Status Code: 429

 ** ValidationException **   
The input parameters are invalid. Check the parameter values and try again.    
 ** fieldList **   
The list of fields that aren't valid.  
 ** reason **   
Reason the request failed validation.
HTTP Status Code: 400

## See Also
<a name="API_route53globalresolver_ListAccessTokens_SeeAlso"></a>

For more information about using this API in one of the language-specific Amazon SDKs, see the following:
+  [Amazon Command Line Interface V2](https://docs.amazonaws.cn/goto/cli2/route53globalresolver-2022-09-27/ListAccessTokens) 
+  [Amazon SDK for .NET V4](https://docs.amazonaws.cn/goto/DotNetSDKV4/route53globalresolver-2022-09-27/ListAccessTokens) 
+  [Amazon SDK for C\+\+](https://docs.amazonaws.cn/goto/SdkForCpp/route53globalresolver-2022-09-27/ListAccessTokens) 
+  [Amazon SDK for Go v2](https://docs.amazonaws.cn/goto/SdkForGoV2/route53globalresolver-2022-09-27/ListAccessTokens) 
+  [Amazon SDK for Java V2](https://docs.amazonaws.cn/goto/SdkForJavaV2/route53globalresolver-2022-09-27/ListAccessTokens) 
+  [Amazon SDK for JavaScript V3](https://docs.amazonaws.cn/goto/SdkForJavaScriptV3/route53globalresolver-2022-09-27/ListAccessTokens) 
+  [Amazon SDK for Kotlin](https://docs.amazonaws.cn/goto/SdkForKotlin/route53globalresolver-2022-09-27/ListAccessTokens) 
+  [Amazon SDK for PHP V3](https://docs.amazonaws.cn/goto/SdkForPHPV3/route53globalresolver-2022-09-27/ListAccessTokens) 
+  [Amazon SDK for Python](https://docs.amazonaws.cn/goto/boto3/route53globalresolver-2022-09-27/ListAccessTokens) 
+  [Amazon SDK for Ruby V3](https://docs.amazonaws.cn/goto/SdkForRubyV3/route53globalresolver-2022-09-27/ListAccessTokens) 